diff --git a/web/package.json b/web/package.json
index d7bb3d505..82dcc8e22 100644
--- a/web/package.json
+++ b/web/package.json
@@ -136,7 +136,7 @@
     "path-fx": "^2.0.0",
     "pathfinding": "^0.4.18",
     "paths-js": "^0.4.9",
-    "pgadmin4-tree": "git+https://github.com/EnterpriseDB/pgadmin4-treeview/#ec58f480f43aa6deb862778d49d6f2fb797a7d13",
+    "pgadmin4-tree": "git+https://github.com/EnterpriseDB/pgadmin4-treeview/#bc66dff13c17f256355d4f2bf79e3458007868bc",
     "postcss": "^8.2.15",
     "raf": "^3.4.1",
     "react": "^17.0.1",
diff --git a/web/pgadmin/static/js/tree/tree_init.tsx b/web/pgadmin/static/js/tree/tree_init.tsx
index 823428149..1422a1a4f 100644
--- a/web/pgadmin/static/js/tree/tree_init.tsx
+++ b/web/pgadmin/static/js/tree/tree_init.tsx
@@ -73,11 +73,10 @@ var initBrowserTree = async (pgBrowser) => {
 
   await treeModelX.root.ensureLoaded()
 
-  let tree_height = window.outerHeight - 300;
   // Render Browser Tree
   await render(
     <div>
-      <FileTreeX height={tree_height} width={'100%'} model={treeModelX}
+      <FileTreeX model={treeModelX}
         onReady={itemHandle} create={create} remove={remove} update={update}/>
      </div>, document.getElementById('tree'));
 }
